com.verisign.epp.serverstub

## Class NSDomainHandler

- java.lang.Object
- - com.verisign.epp.framework.EPPDomainHandler
  - - com.verisign.epp.serverstub.NSDomainHandler

- All Implemented Interfaces:
    EPPEventHandler

      public class NSDomainHandler
      extends EPPDomainHandler

  The `NSDomainHandler` class is a concrete implementation of the abstract `com.verisign.epp.framework.EPPDomainHandler` class. It defines the Server's response to all received EPP Host Commands.
  See Also:
    `EPPEvent`, `EPPEventResponse`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NSDomainHandler()` Constructs an instance of NSDomainHandler

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected EPPEventResponse` | `doDomainCheck(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Domain Check command is received.
    `protected EPPEventResponse` | `doDomainCreate(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Domain Create command is received.
    `protected EPPEventResponse` | `doDomainDelete(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Domain Delete command is received.
    `protected EPPEventResponse` | `doDomainInfo(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Domain Info command is received.
    `protected EPPEventResponse` | `doDomainRenew(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Domain Renew command is received.
    `protected EPPEventResponse` | `doDomainRestoreReport(EPPEvent aEvent, java.lang.String aDomainName, EPPTransId aTransId, EPPRgpExtReport aReport, java.lang.Object aData)`
    `protected EPPEventResponse` | `doDomainRestoreRequest(EPPEvent aEvent, java.lang.String aDomainName, EPPTransId aTransId, java.lang.Object aData)`
    `protected EPPEventResponse` | `doDomainSync(EPPEvent aEvent, java.lang.String aDomainName, EPPTransId aTransId, EPPSyncExtUpdate aSyncExt, java.lang.Object aData)`
    `protected EPPEventResponse` | `doDomainTransfer(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Domain Transfer command is received.
    `protected EPPEventResponse` | `doDomainUpdate(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Domain Update command is received.
    `protected void` | `postHandleEvent(EPPEvent aEvent, java.lang.Object aData)` Handles any common behavior that all Domain commands need to execute after they execute their command specific behavior.
    `protected void` | `preHandleEvent(EPPEvent aEvent, java.lang.Object aData)` Handles any common behavior that all Domain commands need to execute before they execute their command specific behavior.

    - ### Methods inherited from class com.verisign.epp.framework.EPPDomainHandler

      `getNamespace, handleEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NSDomainHandler

          public NSDomainHandler()

      Constructs an instance of NSDomainHandler

  - ### Method Detail

    - #### preHandleEvent

          protected void preHandleEvent(EPPEvent aEvent,
                                        java.lang.Object aData)
                                 throws EPPHandleEventException

      Handles any common behavior that all Domain commands need to execute before they execute their command specific behavior.
      Overrides:
        `preHandleEvent` in class `EPPDomainHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomainHandler` This is assumed to be an instance of SessionData here.
      Throws:
        `EPPHandleEventException` - Thrown if an error condition occurs. It must contain an `EPPEventResponse`

    - #### postHandleEvent

          protected void postHandleEvent(EPPEvent aEvent,
                                         java.lang.Object aData)
                                  throws EPPHandleEventException

      Handles any common behavior that all Domain commands need to execute after they execute their command specific behavior.
      Overrides:
        `postHandleEvent` in class `EPPDomainHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomainHandler`
      Throws:
        `EPPHandleEventException` - Thrown if an error condition occurs. It must contain an `EPPEventResponse`

    - #### doDomainCheck

          protected EPPEventResponse doDomainCheck(EPPEvent aEvent,
                                                   java.lang.Object aData)

      Invoked when a Domain Check command is received.
      Specified by:
        `doDomainCheck` in class `EPPDomainHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doDomainRenew

          protected EPPEventResponse doDomainRenew(EPPEvent aEvent,
                                                   java.lang.Object aData)

      Invoked when a Domain Renew command is received.
      Specified by:
        `doDomainRenew` in class `EPPDomainHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doDomainDelete

          protected EPPEventResponse doDomainDelete(EPPEvent aEvent,
                                                    java.lang.Object aData)

      Invoked when a Domain Delete command is received.
      Specified by:
        `doDomainDelete` in class `EPPDomainHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doDomainCreate

          protected EPPEventResponse doDomainCreate(EPPEvent aEvent,
                                                    java.lang.Object aData)

      Invoked when a Domain Create command is received.
      Specified by:
        `doDomainCreate` in class `EPPDomainHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doDomainTransfer

          protected EPPEventResponse doDomainTransfer(EPPEvent aEvent,
                                                      java.lang.Object aData)

      Invoked when a Domain Transfer command is received.
      Specified by:
        `doDomainTransfer` in class `EPPDomainHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doDomainUpdate

          protected EPPEventResponse doDomainUpdate(EPPEvent aEvent,
                                                    java.lang.Object aData)

      Invoked when a Domain Update command is received.
      Specified by:
        `doDomainUpdate` in class `EPPDomainHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doDomainRestoreRequest

          protected EPPEventResponse doDomainRestoreRequest(EPPEvent aEvent,
                                                            java.lang.String aDomainName,
                                                            EPPTransId aTransId,
                                                            java.lang.Object aData)

    - #### doDomainRestoreReport

          protected EPPEventResponse doDomainRestoreReport(EPPEvent aEvent,
                                                           java.lang.String aDomainName,
                                                           EPPTransId aTransId,
                                                           EPPRgpExtReport aReport,
                                                           java.lang.Object aData)

    - #### doDomainSync

          protected EPPEventResponse doDomainSync(EPPEvent aEvent,
                                                  java.lang.String aDomainName,
                                                  EPPTransId aTransId,
                                                  EPPSyncExtUpdate aSyncExt,
                                                  java.lang.Object aData)

    - #### doDomainInfo

          protected EPPEventResponse doDomainInfo(EPPEvent aEvent,
                                                  java.lang.Object aData)

      Invoked when a Domain Info command is received.
      Specified by:
        `doDomainInfo` in class `EPPDomainHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

Copyright © VeriSign Inc. All Rights Reserved.